Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.util
Class TestUtil

    java.lang.Object
      com.verisign.epp.util.TestUtil

    public class TestUtil

extends java.lang.Object

Test utility methods. This class contains a set of utility static methods useful for interface tests.

Constructor Summary
`TestUtil()`

Method Summary
`static void` | `handleException(EPPSession aSession, java.lang.Exception aException)` Handle an `Exception`, which can be either a server generated error or a general exception.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestUtil

    public TestUtil()

Method Detail

### handleException

    public static void handleException(EPPSession aSession,
                                       java.lang.Exception aException)
                                throws InvalidateSessionException

  Handle an `Exception`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.

  Parameters:
    `aSession` - Session being used
    `aException` - `Exception` thrown during test
  Throws:
    `InvalidateSessionException` - The session should be invalidated by calling method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.